This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1253637 - Ctrl-x in grub2 menu doesn't work on MacBook Air with EFI boot
Ctrl-x in grub2 menu doesn't work on MacBook Air with EFI boot
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: grub2 (Show other bugs)
24
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-14 07:03 EDT by Alexander Todorov
Modified: 2017-08-08 08:08 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1253631
Environment:
Last Closed: 2017-08-08 08:08:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexander Todorov 2015-08-14 07:03:49 EDT
+++ This bug was initially created as a clone of Bug #1253631 +++

+++ This bug was initially created as a clone of Bug #1056035 +++


Description of problem:

When booting on a MacBook Air (select the EFI boot, boot option) and editing the boot command line in grub's menu the Ctrl-x key press is not recognized so you can't boot further. 

A workaround is to use F10 which is not mentioned.

The original bug mentions this fixed in grub2-2.02-0.2.4.el7 but maybe it is hardware dependant (or a regression). 

Version:
grub2-2.02-0.23.el7.x86_64.rpm  



--- Additional comment from Alexander Todorov on 2015-08-14 14:02:48 EEST ---

The earliest version I could find is grub2-2.02-0.2.10.el7.x86_64.rpm from RHEL 7.0 and it has the same problem. At this point I think this is hardware dependent.






Filing here for Rawhide:


I'm also seeing the same thing on Rawhide with grub2-2.02-0.21.fc24.x86_64.rpm
Comment 1 gcb 2015-09-15 17:08:13 EDT
Confirmed on a HP laptop. Model Folio 9470m

Ctrl-x and Ctrl-c on grub just type x or c.

(undocumented) F10 confirmed to work.

install image for fedora-21-x86_64, not really sure what's the version. it does not output it anywhere.
Comment 2 Jan Kurik 2016-02-24 10:50:36 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 3 Fedora End Of Life 2017-07-25 15:08:56 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2017-08-08 08:08:03 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.